{-# LANGUAGE ForeignFunctionInterface, InterruptibleFFI #-}
module HROOT.Net.THttpServer.FFI where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import HROOT.Net.THttpServer.RawType
import HROOT.Net.THttpServer.RawType
import HROOT.Core.TObject.RawType
import HROOT.Core.TClass.RawType

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_SetName" c_thttpserver_setname
               :: Ptr RawTHttpServer -> CString -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_SetNameTitle"
               c_thttpserver_setnametitle ::
               Ptr RawTHttpServer -> CString -> CString -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_SetTitle" c_thttpserver_settitle
               :: Ptr RawTHttpServer -> CString -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_Clear" c_thttpserver_clear ::
               Ptr RawTHttpServer -> CString -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_Draw" c_thttpserver_draw ::
               Ptr RawTHttpServer -> CString -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_FindObject"
               c_thttpserver_findobject ::
               Ptr RawTHttpServer -> CString -> IO (Ptr RawTObject)

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_GetName" c_thttpserver_getname
               :: Ptr RawTHttpServer -> IO CString

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_IsA" c_thttpserver_isa ::
               Ptr RawTHttpServer -> IO (Ptr RawTClass)

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_Paint" c_thttpserver_paint ::
               Ptr RawTHttpServer -> CString -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_printObj" c_thttpserver_printobj
               :: Ptr RawTHttpServer -> CString -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_SaveAs" c_thttpserver_saveas ::
               Ptr RawTHttpServer -> CString -> CString -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_Write" c_thttpserver_write ::
               Ptr RawTHttpServer -> CString -> CInt -> CInt -> IO CInt

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_Write_" c_thttpserver_write_ ::
               Ptr RawTHttpServer -> IO CInt

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_delete" c_thttpserver_delete ::
               Ptr RawTHttpServer -> IO ()

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_newTHttpServer"
               c_thttpserver_newthttpserver :: CString -> IO (Ptr RawTHttpServer)

foreign import ccall interruptible
               "HROOTNetTHttpServer.h THttpServer_tHttpServer_SetReadOnly"
               c_thttpserver_thttpserver_setreadonly ::
               Ptr RawTHttpServer -> CBool -> IO ()
